Package org.silverpeas.components.projectmanager.service

## Interface ProjectManagerService

- All Known Implementing Classes:
    `DefaultProjectManagerService`

      public interface ProjectManagerService

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHolidayDate​(HolidayDetail holiday)` |
    `void` | `addHolidayDates​(List<HolidayDetail> holidayDates)` |
    `int` | `addTask​(TaskDetail task, Collection<org.silverpeas.core.io.upload.UploadedFile> uploadedFiles)` |
    `void` | `calculateAllTasksDates​(String instanceId, int projectId, String userId)` |
    `static ProjectManagerService` | `get()` |
    `List<TaskDetail>` | `getAllTasks​(String instanceId, Filtre filtre)` |
    `List<Date>` | `getHolidayDates​(String instanceId)` |
    `List<Date>` | `getHolidayDates​(String instanceId, Date beginDate, Date endDate)` |
    `TaskDetail` | `getMostDistantTask​(String instanceId, int taskId)` |
    `int` | `getOccupationByUser​(String userId, Date dateDeb, Date dateFin)` |
    `int` | `getOccupationByUser​(String userId, Date dateDeb, Date dateFin, int excludedTaskId)` |
    `List<TaskDetail>` | `getProjects​(String instanceId)` |
    `TaskDetail` | `getTask​(int id)` |
    `TaskDetail` | `getTaskByTodoId​(String todoId)` |
    `List<TaskDetail>` | `getTasksByMotherId​(String instanceId, int motherId)` |
    `List<TaskDetail>` | `getTasksByMotherIdAndPreviousId​(String instanceId, int motherId, int previousId)` |
    `void` | `index​(String instanceId)` |
    `boolean` | `isHolidayDate​(HolidayDetail date)` |
    `Date` | `processEndDate​(float charge, String instanceId, Date dateDebut)` |
    `Date` | `processEndDate​(TaskDetail task)` |
    `void` | `removeHolidayDate​(HolidayDetail holiday)` |
    `void` | `removeHolidayDates​(List<HolidayDetail> holidayDates)` |
    `void` | `removeTask​(int id, String instanceId)` |
    `void` | `updateTask​(TaskDetail task, String userId)` |

- - ### Method Detail

    - #### get

          static ProjectManagerService get()

    - #### getProjects

          List<TaskDetail> getProjects​(String instanceId)

    - #### addTask

          int addTask​(TaskDetail task,
                      Collection<org.silverpeas.core.io.upload.UploadedFile> uploadedFiles)

    - #### removeTask

          void removeTask​(int id,
                          String instanceId)

    - #### updateTask

          void updateTask​(TaskDetail task,
                          String userId)

    - #### calculateAllTasksDates

          void calculateAllTasksDates​(String instanceId,
                                      int projectId,
                                      String userId)

    - #### getTasksByMotherId

          List<TaskDetail> getTasksByMotherId​(String instanceId,
                                              int motherId)

    - #### getTasksByMotherIdAndPreviousId

          List<TaskDetail> getTasksByMotherIdAndPreviousId​(String instanceId,
                                                           int motherId,
                                                           int previousId)

    - #### getAllTasks

          List<TaskDetail> getAllTasks​(String instanceId,
                                       Filtre filtre)

    - #### getTask

          TaskDetail getTask​(int id)

    - #### getTaskByTodoId

          TaskDetail getTaskByTodoId​(String todoId)

    - #### getMostDistantTask

          TaskDetail getMostDistantTask​(String instanceId,
                                        int taskId)

    - #### isHolidayDate

          boolean isHolidayDate​(HolidayDetail date)

    - #### getHolidayDates

          List<Date> getHolidayDates​(String instanceId)

    - #### getHolidayDates

          List<Date> getHolidayDates​(String instanceId,
                                     Date beginDate,
                                     Date endDate)

    - #### addHolidayDate

          void addHolidayDate​(HolidayDetail holiday)

    - #### addHolidayDates

          void addHolidayDates​(List<HolidayDetail> holidayDates)

    - #### removeHolidayDate

          void removeHolidayDate​(HolidayDetail holiday)

    - #### removeHolidayDates

          void removeHolidayDates​(List<HolidayDetail> holidayDates)

    - #### processEndDate

          Date processEndDate​(TaskDetail task)

    - #### processEndDate

          Date processEndDate​(float charge,
                              String instanceId,
                              Date dateDebut)

    - #### index

          void index​(String instanceId)

    - #### getOccupationByUser

          int getOccupationByUser​(String userId,
                                  Date dateDeb,
                                  Date dateFin)

    - #### getOccupationByUser

          int getOccupationByUser​(String userId,
                                  Date dateDeb,
                                  Date dateFin,
                                  int excludedTaskId)